libzypp: zypp::target Namespace Reference

libzypp 17.25.10

Namespaces | Classes | Functions
zypp::target Namespace Reference

## Namespaces
namespace | rpm

## Classes
class | CommitPackageCache
| Target::commit helper optimizing package provision. More...
class | CommitPackageCacheReadAhead
class | FindFileConflictstReport
| Check for package file conflicts in commit (after download) More...
class | HardLocksFile
| Save and restore hardlocks. More...
struct | IMediaKey
| Helper storing a source id and media number. More...
class | Modalias
| Hardware abstaction layer singleton. More...
struct | PatchMessageReport
| Request to display the pre commit message of a patch. More...
struct | PatchScriptReport
| Indicate execution of a patch script. More...
class | RepoProvidePackage
| Default PackageProvider for CommitPackageCache. More...
class | RequestedLocalesFile
| Save and restore locale set from file. More...
class | RpmInstallPackageReceiver
class | RpmPostTransCollector
| Extract and remember posttrans scripts for later execution. More...
class | RpmRemovePackageReceiver
class | SolvIdentFile
| Save and restore a list of solvable names (ident IdString) More...
class | TargetAbortedException
class | TargetException
| Just inherits Exception to separate target exceptions. More...
class | TargetImpl
| Base class for concrete Target implementations. More...

## Functions
std::ostream & | operator<< (std::ostream &str, const CommitPackageCache &obj)
std::ostream & | operator<< (std::ostream &str, const IMediaKey &obj)
std::ostream & | operator<< (std::ostream &str, const HardLocksFile &obj)
std::ostream & | operator<< (std::ostream &str, const Modalias &obj)
std::ostream & | operator<< (std::ostream &str, const RequestedLocalesFile &obj)
std::ostream & | operator<< (std::ostream &str, const RpmPostTransCollector &obj)
std::ostream & | dumpOn (std::ostream &str, const RpmPostTransCollector &obj)
std::ostream & | operator<< (std::ostream &str, const SolvIdentFile &obj)
std::string | rpmDbStateHash (const Pathname &root_r)
RepoStatus | rpmDbRepoStatus (const Pathname &root_r)
void | writeUpgradeTestcase ()
void | XRunUpdateMessages (const Pathname &root_r, const Pathname &messagesPath_r, const std::vector< sat::Solvable > &checkPackages_r, ZYppCommitResult &result_r)
| IMPL_PTR_TYPE (TargetImpl)
static std::string | generateRandomId ()
| generates a random id using uuidgen More...
void | updateFileContent (const Pathname &filename, boost::function< bool()> condition, boost::function< std::string()> value)
| updates the content of `filename` if `condition` is true, setting the content the the value returned by `value` More...
static bool | fileMissing (const Pathname &pathname)
| helper functor More...
| DEFINE_PTR_TYPE (TargetImpl)

## Function Documentation

## ◆ operator<<() [1/7]

std::ostream& zypp::target::operator<< | ( | std::ostream & | str,
|  | const CommitPackageCache & | obj
| ) |  |
| related

Definition at line 156 of file CommitPackageCache.cc.

## ◆ operator<<() [2/7]

std::ostream & zypp::target::operator<< | ( | std::ostream & | str,
|  | const IMediaKey & | obj
| ) |  |

Definition at line 36 of file CommitPackageCacheReadAhead.cc.

## ◆ operator<<() [3/7]

std::ostream& zypp::target::operator<< | ( | std::ostream & | str,
|  | const HardLocksFile & | obj
| ) |  |
| related

Definition at line 72 of file HardLocksFile.cc.

## ◆ operator<<() [4/7]

std::ostream& zypp::target::operator<< | ( | std::ostream & | str,
|  | const Modalias & | obj
| ) |  |
| related

Definition at line 234 of file Modalias.cc.

## ◆ operator<<() [5/7]

std::ostream& zypp::target::operator<< | ( | std::ostream & | str,
|  | const RequestedLocalesFile & | obj
| ) |  |
| related

Definition at line 80 of file RequestedLocalesFile.cc.

## ◆ operator<<() [6/7]

std::ostream& zypp::target::operator<< | ( | std::ostream & | str,
|  | const RpmPostTransCollector & | obj
| ) |  |
| related

Definition at line 248 of file RpmPostTransCollector.cc.

## ◆ dumpOn()

std::ostream& zypp::target::dumpOn | ( | std::ostream & | str,
|  | const RpmPostTransCollector & | obj
| ) |  |

Definition at line 251 of file RpmPostTransCollector.cc.

## ◆ operator<<() [7/7]

std::ostream& zypp::target::operator<< | ( | std::ostream & | str,
|  | const SolvIdentFile & | obj
| ) |  |
| related

Definition at line 88 of file SolvIdentFile.cc.

## ◆ rpmDbStateHash()

std::string zypp::target::rpmDbStateHash | ( | const Pathname & | root_r | ) |
| inline

Definition at line 73 of file TargetImpl.cc.

## ◆ rpmDbRepoStatus()

RepoStatus zypp::target::rpmDbRepoStatus | ( | const Pathname & | root_r | ) |
| inline

Definition at line 91 of file TargetImpl.cc.

## ◆ writeUpgradeTestcase()

void zypp::target::writeUpgradeTestcase | ( |  | ) |

Definition at line 334 of file TargetImpl.cc.

## ◆ XRunUpdateMessages()

void zypp::target::XRunUpdateMessages | ( | const Pathname & | root_r,
|  | const Pathname & | messagesPath_r,
|  | const std::vector< sat::Solvable > & | checkPackages_r,
|  | ZYppCommitResult & | result_r
| ) |  |

Definition at line 780 of file TargetImpl.cc.

## ◆ IMPL_PTR_TYPE()

zypp::target::IMPL_PTR_TYPE | ( | TargetImpl |  | ) |

## ◆ generateRandomId()

static std::string zypp::target::generateRandomId | ( |  | ) |
| static

generates a random id using uuidgen

Definition at line 814 of file TargetImpl.cc.

## ◆ updateFileContent()

void zypp::target::updateFileContent | ( | const Pathname & | filename,
|  | boost::function< bool()> | condition,
|  | boost::function< std::string()> | value
| ) |  |

updates the content of `filename` if `condition` is true, setting the content the the value returned by `value`

Definition at line 825 of file TargetImpl.cc.

## ◆ fileMissing()

static bool zypp::target::fileMissing | ( | const Pathname & | pathname | ) |
| static

helper functor

Definition at line 860 of file TargetImpl.cc.

## ◆ DEFINE_PTR_TYPE()

zypp::target::DEFINE_PTR_TYPE | ( | TargetImpl |  | ) |